org.bouncycastle.asn1.bc

## Class EncryptedObjectStoreData

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.bc.EncryptedObjectStoreData

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class EncryptedObjectStoreData
      extends ASN1Object

       EncryptedObjectStoreData ::= SEQUENCE {
           encryptionAlgorithm AlgorithmIdentifier
           encryptedContent OCTET STRING
       }

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EncryptedObjectStoreData(AlgorithmIdentifier encryptionAlgorithm, byte[] encryptedContent)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ASN1OctetString` | `getEncryptedContent()`
    `AlgorithmIdentifier` | `getEncryptionAlgorithm()`
    `static EncryptedObjectStoreData` | `getInstance(java.lang.Object o)`
    `ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EncryptedObjectStoreData

          public EncryptedObjectStoreData(AlgorithmIdentifier encryptionAlgorithm,
                                          byte[] encryptedContent)

  - ### Method Detail

    - #### getInstance

          public static EncryptedObjectStoreData getInstance(java.lang.Object o)

    - #### getEncryptedContent

          public ASN1OctetString getEncryptedContent()

    - #### getEncryptionAlgorithm

          public AlgorithmIdentifier getEncryptionAlgorithm()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Description copied from class: `ASN1Object`
      Method providing a primitive representation of this object suitable for encoding.
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.